commit:     ca160ab03625cc7fe4993c0fe908fd1e5e355588
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  5 23:06:29 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Wed Mar  6 22:35:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca160ab0

games-simulation/lincity-ng: Install at least some documentation

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild 
b/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild
index 45efc920930..264541ba5b1 100644
--- a/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild
+++ b/games-simulation/lincity-ng/lincity-ng-2.9_beta.ebuild
@@ -31,8 +31,9 @@ S="${WORKDIR}/${PN}-${P/_/-}"
 
 src_prepare() {
        default
-       sed -i "/COPYING COPYING-data.txt COPYING-fonts.txt CREDITS /d" \
-               Jamfile || die
+
+       # Missing CREDITS files actually breaks the install.
+       sed -i -r "s/\b(COPYING[^ ]*|CREDITS)\b//g" Jamfile || die
 
        # Can't use eautoreconf as it does weird jam stuff.
        autotools_run_tool ./autogen.sh

Reply via email to